이 플러그인은 최근 3개의 주요 워드프레스 출시와 시험 되지 않았습니다. 워드프레스의 좀 더 최근 버전으로 이용할 때 더 이상 관리되지 않고 지원되지 않고 호환성 문제가 있을 수 있습니다.

GunTab Payment Gateway

설명

GunTab is the only transaction platform built for firearm and ammunition e-commerce. It enables you pay and get paid safely online. Learn more at GunTab.com.

Activate the plugin in WordPress

  1. Go to Plugins > Add New.
  2. Search for “GunTab”.
  3. Select “Install Now”.
  4. After installation is complete, select “Activate”.

Enable the plugin in WooCommerce

  1. Go to WooCommerce > Settings > Payments.
  2. Select to enable “GunTab Payments”.
  3. Select “Save changes”.
  4. After the page reloads, select to “Manage” GunTab Payments. Now you may set your preferences.

Filters

Alter the invoice data before it gets sent to GunTab:

use GunTab\Api\GunTab\Abstracts\Invoice;

function guntabAlterInvoice(Invoice $invoice, \WC_Order $order) {
    // Your code
    return $invoice;
}

add_filter('guntab_alter_invoice', 'guntabAlterInvoice');

Alter the order status when the status must change due to a webhook request from GunTab:

function getNewOrderStatus(string $suggestedStatus, \stdClass $jsonDataFromGunTab) {
    // Your code
    return 'wc-complete'; // Choose a different WooCommerce order status based on $jsonDataFromGunTab->status
}

add_filter('guntab_get_new_order_status', 'getNewOrderStatus', 10, 2);<h3>Actions</h3>

Called when GunTab sends a request to your webhook endpoint. It runs after the plugin processes the request:

function your_function_name(\WC_Order $order, \stdClass $postedJsonData) {
    // Your code
}

add_action('guntab_on_webhook', 'your_function_name', 10, 2);

스크린샷

  • Plugin Settings
  • WooCommerce Gateway Settings
  • Checkout Module

FAQ

If you have any questions, please visit the GunTab Help Center.

후기

이 플러그인에 대한 평가가 없습니다.

기여자 & 개발자

“GunTab Payment Gateway”(은)는 오픈 소스 소프트웨어입니다. 다음의 사람들이 이 플러그인에 기여하였습니다.

기여자

자국어로 “GunTab Payment Gateway”(을)를 번역하세요.

개발에 관심이 있으십니까?

코드 탐색하기는, SVN 저장소를 확인하시거나, 개발 기록RSS로 구독하세요.

변경이력

  • 0.1.6

Enhancement: Error logging and error messages are now clearer and more robust, including new error logging for failed requests to the GunTab API.

  • 0.1.5

Bugfix: Fatal error due to missing file when running on PHP8. Example: “Failed opening required ‘…wp-content/plugins/guntab-payment-gateway/vendor/symfony/polyfill-mbstring/bootstrap80.php'”
Bugfix: “Add to Cart” button can lead to a 404 error page.
Bugfix: “Deprecated: Non-static method GunTab\GunTabPaymentGateway::quick_checkout_redirect() should not be called statically”

  • 0.1.4

Bugfix: Remove more type hints in an attempt to be unofficially compatible with PHP 5.

  • 0.1.3

Bugfix: Although this plugin officially requires PHP 7 or higher, we have removed type hints in an attempt to be unofficially compatible with PHP 5.

  • 0.1.2

Bugfix: Two buttons appearing for quick checkout.
Bugfix: Settings content going outside container.
Eliminate warning about get_product_from_item().

  • 0.1.1

Bugfix: “An active PHP session was detected”.
Bugfix: Nullable property types.
Replace third-party framework dependency with self-managed version.

  • 0.1.0

Initial beta version.